iOS Build Continuously failing

I’m a little discouraged that I spend a few days on this, renew my Apple Dev account, and go through alll the hoops only for the build to fail and I have no reason why, since I don’t code. Kinda feels like “here have fun but if it breaks you’re on your own”.

ANYWAY… Here’s what I got:


% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0
100 177k 100 177k 0 0 685k 0 --:–:-- --:–:-- --:–:-- 685k
HEAD is now at ef52b80 Adds back icons
.===============================================================
|
| BRANCH: master
|
'===============================================================
Already on ‘master’
Your branch is up to date with ‘origin/master’.
From github.com:AdaloHQ/template-app

  • branch master -> FETCH_HEAD
    Already up to date.
    [1/4] Resolving packages…
    [2/4] Fetching packages…
    [3/4] Linking dependencies…
    warning “@protonapp/proton-runner > react-datepicker@1.8.0” has unmet peer dependency “react-dom@^16.0.0”.
    warning “@protonapp/proton-runner > react-native-icloud-file-picker@0.0.1” has incorrect peer dependency “react-native@^0.41.2”.
    warning “@protonapp/proton-runner > react-native-icloud-file-picker@0.0.1” has unmet peer dependency “react-native-windows@0.41.0-rc.1”.
    warning “@protonapp/proton-runner > react-native-layout-guides@0.1.2” has incorrect peer dependency “react-native@^0.41.2”.
    warning “@protonapp/proton-runner > react-native-layout-guides@0.1.2” has unmet peer dependency “react-native-windows@0.41.0-rc.1”.
    warning “@protonapp/proton-runner > @protonapp/proton-constants > babel-eslint@10.0.3” has unmet peer dependency “eslint@>= 4.12.1”.
    warning “@protonapp/proton-runner > @protonapp/react-mobile-date-picker > react-transition-group@2.9.0” has unmet peer dependency “react-dom@>=15.0.0”.
    warning “@protonapp/proton-runner > react-datepicker > react-onclickoutside@6.9.0” has unmet peer dependency “react-dom@^15.5.x || ^16.x”.
    warning " > react-native@0.61.1" has incorrect peer dependency “react@16.9.0”.
    warning " > react-native-icloud-file-picker@0.0.3" has incorrect peer dependency “react-native@^0.41.2”.
    warning " > react-native-icloud-file-picker@0.0.3" has unmet peer dependency “react-native-windows@0.41.0-rc.1”.
    warning " > react-native-layout-guides@0.1.5" has incorrect peer dependency “react-native@^0.41.2”.
    warning " > react-native-layout-guides@0.1.5" has unmet peer dependency “react-native-windows@0.41.0-rc.1”.
    [4/4] Building fresh packages…
    [1/4] Resolving packages…
    [2/4] Fetching packages…
    [3/4] Linking dependencies…
    warning " > react-native@0.61.1" has incorrect peer dependency “react@16.9.0”.
    warning " > react-native-icloud-file-picker@0.0.3" has incorrect peer dependency “react-native@^0.41.2”.
    warning " > react-native-icloud-file-picker@0.0.3" has unmet peer dependency “react-native-windows@0.41.0-rc.1”.
    warning " > react-native-layout-guides@0.1.5" has incorrect peer dependency “react-native@^0.41.2”.
    warning " > react-native-layout-guides@0.1.5" has unmet peer dependency “react-native-windows@0.41.0-rc.1”.
    warning “@protonapp/proton-runner > react-datepicker@1.8.0” has unmet peer dependency “react-dom@^16.0.0”.
    warning “@protonapp/proton-runner > react-native-icloud-file-picker@0.0.1” has incorrect peer dependency “react-native@^0.41.2”.
    warning “@protonapp/proton-runner > react-native-icloud-file-picker@0.0.1” has unmet peer dependency “react-native-windows@0.41.0-rc.1”.
    warning “@protonapp/proton-runner > react-native-layout-guides@0.1.2” has incorrect peer dependency “react-native@^0.41.2”.
    warning “@protonapp/proton-runner > react-native-layout-guides@0.1.2” has unmet peer dependency “react-native-windows@0.41.0-rc.1”.
    warning “@protonapp/proton-runner > @protonapp/proton-constants > babel-eslint@10.0.3” has unmet peer dependency “eslint@>= 4.12.1”.
    warning “@protonapp/proton-runner > @protonapp/react-mobile-date-picker > react-transition-group@2.9.0” has unmet peer dependency “react-dom@>=15.0.0”.
    warning “@protonapp/proton-runner > react-datepicker > react-onclickoutside@6.9.0” has unmet peer dependency “react-dom@^15.5.x || ^16.x”.
    [4/4] Rebuilding all packages…
    success Saved lockfile.
    success Saved 11 new dependencies.
    info Direct dependencies
    └─ @protonapp/proton-runner@0.0.194
    info All dependencies
    ├─ @protonapp/proton-runner@0.0.194
    ├─ complex.js@2.0.11
    ├─ decimal.js@10.2.0
    ├─ escape-latex@1.2.0
    ├─ fraction.js@4.0.12
    ├─ javascript-natural-sort@0.7.1
    ├─ mathjs@5.10.3
    ├─ react-native-document-picker@3.3.3
    ├─ seed-random@2.2.0
    ├─ tiny-emitter@2.1.0
    └─ typed-function@1.1.0
    Setting up fastlane